%define version  4.34
%define release 4

Name:           smeserver-softethervpn-server
Version:        %{version}
Release: 	%{release}%{dist}
Summary:        An Open-Source Free Cross-platform Multi-protocol VPN Program

Group:          Applications/Internet
License:        GPLv2
URL:            http://www.softether.org/
Source0:        smeserver-softethervpn-server-%{version}.tar.gz

BuildRequires:  e-smith-devtools
Requires:	smeserver-bridge-interface
Requires:	softethervpn
Conflicts: 	smeserver-openvpn-bridge
AutoReqProv:    no
Patch0:smeserver-softethervpn-server-4.34-Update-Createlinks-for-systemd.patch
Patch1:smeserver-softethervpn-server-4.34-Patch-Service-File-for-SME10.patch

%description
SoftEther VPN is one of the world's most powerful and easy-to-use multi-protocol VPN software. It runs on Windows, Linux, Mac, FreeBSD, and Solaris.

%prep

%setup -q -n %{name}-%{version}
%patch0 -p1
%patch1 -p1

%build
# Build symlinks
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
         > %{name}-%{version}-%{release}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-%{release}-filelist
%defattr(-,root,root)


%post


%changelog
* Sat Jan 23 2021 Brian Read <brianr@bjsystems.co.uk> %{version}-4.sme
- Patch-Service-File-for-SME10 [SME: 11326]

* Sat Jan 16 2021 Brian Read <brianr@bjsystems.co.uk> %{version}-2.sme
- Initial import to SME10 tree [SME: 11326]
- Update-Createlinks-for-systemd

* Fri Mar 27 2020 Jean-Philipe Pialasse <tests@pialasse.com> 4.34.9744-1.sme
- initial release SME 9

